# dkim_sig_getbh()

[back to index]

SYNOPSIS

    #include <dkim.h>

    int dkim_sig_getbh(
    	DKIM_SIGINFO *sig
    );

Retrieve the body hash test status stored for a specific signature.

DESCRIPTION

Called When | `dkim_sig_getbh()` can be called in the final callback, if defined, or after `dkim_eom()`.

ARGUMENTS

Argument | Description
--- | ---
sig | Signature-specific handle.

RETURN VALUE

The value returned is one of the following constants:

Constant Name | Description
--- | ---
`DKIM_SIGBH_UNTESTED` | The signature has not yet been tested for a body hash match.
`DKIM_SIGBH_MATCH` | The signature has been tested for a body hash match and the test succeeded.
`DKIM_SIGBH_MISMATCH` | The signature has been tested for a body hash match and the test failed.

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009-2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.